# Module `DCSAirbase`

## Global(s)

Airbase |

## Type `Airbase`

Airbase.Category | enum contains identifiers of airbase categories.
Airbase.Desc | Airbase descriptor. Airdromes are unique and their types are unique, but helipads and ships are not always unique and may have the same type.
Airbase.ID | Identifier of an airbase. It assigned to an airbase by the Mission Editor automatically. This identifier is used in AI tasks to refer an airbase that exists (spawned and not dead) or not.
Airbase.getByName(name) | Returns airbase by its name.
Airbase:getCallsign() | Returns the airbase's callsign - the localized string.
Airbase:getDesc() | Returns descriptor of the airbase.
Airbase.getDescByName(typeName) | Returns airbase descriptor by type name.
Airbase:getID() | Returns identifier of the airbase.
Airbase:getUnit() | Returns Unit that is corresponded to the airbase.

## Type `Airbase.Category`

Airbase.Category.AIRDROME |
Airbase.Category.HELIPAD |
Airbase.Category.SHIP |

## Type `Airbase.Desc`

Airbase.Desc.category | Category of the airbase type.

## Global(s)

#Airbase Airbase

## Type `DCSAirbase`

## Type `Airbase`

Represents airbases: airdromes, helipads and ships with flying decks or landing pads.

### Field(s)

#Airbase.Category Airbase.Category

  enum contains identifiers of airbase categories.

#Airbase.Desc Airbase.Desc

  Airbase descriptor. Airdromes are unique and their types are unique, but helipads and ships are not always unique and may have the same type.

#Airbase.ID Airbase.ID

  Identifier of an airbase. It assigned to an airbase by the Mission Editor automatically. This identifier is used in AI tasks to refer an airbase that exists (spawned and not dead) or not.

Airbase.getByName(name)

  Returns airbase by its name.

  If no airbase found the function will return nil.

  ### Parameter

  - `#string name` :

  ### Return value

  #Airbase:

Airbase:getCallsign()

  Returns the airbase's callsign - the localized string.

  ### Return value

  #string:

Airbase:getDesc()

  Returns descriptor of the airbase.

  ### Return value

  #Airbase.Desc:

Airbase.getDescByName(typeName)

  Returns airbase descriptor by type name.

  If no descriptor is found the function will return nil.

  ### Parameter

  - `#TypeName typeName` : Airbase type name.

  ### Return value

  #Airbase.Desc:

Airbase:getID()

  Returns identifier of the airbase.

  ### Return value

  #Airbase.ID:

Airbase:getUnit()

  Returns Unit that is corresponded to the airbase.

  Works only for ships.

  ### Return value

  Unit#Unit:

## Type `Airbase.Category`

Enum contains identifiers of airbase categories.

### Field(s)

Airbase.Category.AIRDROME

Airbase.Category.HELIPAD

Airbase.Category.SHIP

## Type `Airbase.Desc`

Airbase descriptor.

Airdromes are unique and their types are unique, but helipads and ships are not always unique and may have the same type.

### Field(s)

#Airbase.Category Airbase.Desc.category

  Category of the airbase type.

## Type `Airbase.ID`

## Type `TypeName`